webentwicklung-frage-antwort-db.com.de

Wie installiere ich Xcode 9, ohne macOS zu aktualisieren?

Hat jemand eine Idee, Xcode 8 OR Xcode 9 zu installieren, ohne macOS zu aktualisieren?

Ich möchte meinen Xcode 7.1 auf Xcode 8 oder Xcode 9 (oder 9.1) Beta aktualisieren.

Es erlaubt mir jedoch nicht, direkt auf OS X Yosemite 10.10 zu aktualisieren.

Ich möchte mein Betriebssystem jetzt nicht auf El Capitan aktualisieren. Wie kann ich Xcode 8 auf OS X Yosemite 10.10 installieren?.

27
Samkit Shah

Xcode 8 funktioniert unter OS X 10.11 (El Capitan), aber die Apps, mit denen Sie arbeiten, werden nicht erstellt, da das einzige verfügbare SDK das macOS 10.12 SDK ist, d. H. Das macOS Sierra.

Von den Versionshinweisen:

Kompatibilität

Für Xcode 8 ist ein Mac erforderlich, auf dem macOS Sierra 10.12 oder OS X El Capitan ausgeführt wird 10.11.5 oder höher.

Xcode 8 enthält SDKs für iOS 10.0, watchOS 3.0, macOS Sierra 10.12 und tvOS 10.0.

14
Naup

Um Xcode 9 zu installieren, ohne macOS zu aktualisieren, können Sie die minimum erforderliche Version in der Paketliste des Xcode-Pakets ändern. Um dies zu tun, klicken Sie einfach auf Xcode App, klicken Sie auf Open Package Contents und gehen Sie dann in den Ordner Contents. Dort sehen Sie info.plist. Öffnen Sie es mit Xcode, das Sie bereits installiert haben, und Sie können den Wert von Minimum system version in die Version ändern, die Sie gerade installiert haben. 

 Minimum system version

Es würde auch andere "* .app" wie "Instruments.app" usw. geben. Sie erfordern auch die gleichen Operationen.

Wenn Sie schließlich dieselbe Fehlermeldung erhalten, versuchen Sie, Ihr macOS neu zu starten.

Ich habe Xcode 9.2 auf MacOS 10.12.5 installiert und es funktioniert.

7
Argus

Aus dem Xcode 8 Beta 6 Versionshinweise :

Für Xcode 8 beta 6 ist ein Mac erforderlich, auf dem macOS Sierra beta 3 oder höher oder OS X El Capitan 10.11.5 oder höher ausgeführt wird. 

macOS 10.10 wird nicht unterstützt und wird von Xcode 8 nicht unterstützt. Die einzige Lösung ist ein Update auf 10.11.

6
JAL

Ich habe zwei Apps im Mac App Store. Auf meinem Hauptentwicklungscomputer läuft immer noch OS X Yosemite. Eine App zeigte einige kleine GUI-Probleme, wenn sie unter MacOS Sierra verwendet wurden. Also habe ich XCode 8 auf meinem MacBook Pro installiert, auf dem MacOS Sierra ausgeführt wird. Als Nächstes habe ich den Code auf Swift 2.3 migriert (3.0 war jetzt zu umständlich) und die App wurde archiviert und exportiert (ohne die Build-Einstellungen zu ändern). Die GUI-Probleme (meist im Zusammenhang mit der Größenänderung von Bildern und Fenstern) wurden jetzt in der App behoben, wenn sie mit MacOS Sierra ausgeführt werden. Und die App funktioniert weiterhin mit OS X Yosemite und OS X El Capitan. 

Vielleicht hängt es von den Einstellungen ab, die Sie in XCode 8 verwenden, aber Apps, die mit XCode 8 kompiliert/erstellt wurden, sollten auf jeden Fall weiterhin mit OS X Yosemite und El Capitan funktionieren.

0
Ed Goes

geben Sie vom Terminal den Befehl ein: 

xcode-select --install

wenn Sie zuvor XCode entfernt haben, geben Sie den Befehl ein:

Sudo rm -Rf /Library/Developer/CommandLineTools

vor der Installation eines aktuellen

0
Oleg Kokorin